<?php
	require_once("config/connect.php");
	require_once("config/pageConfig.php");
	require_once("global_functions.php");
	
	check_login('', '', 'ENABLERKEY_ADMIN_KONFIGURATION');
?>

	

<div id="wrapper_admin" class="wrapper_admin">
<head>
	<title>SITPOS Warengruppe</title>
	
	<?php echo META_DATA_ADMIN; ?>
	
		<script src="jquery/jscolor.min.js"></script>
	<style type="text/css">
		<?php include 'include/main.css'; ?>
		<?php include 'include/menue.css'; ?>
	</style>
</head>
<body>
<?php

	
	menue_anzeigen();
	
	global $con_i;
	
	//var_dump($_REQUEST);
	if (isset($_REQUEST['category_id']))
	{
		if (isset($_REQUEST['neue_steuersatz_id']))
		{
			$neue_steuersatz_id=$_REQUEST['neue_steuersatz_id'];
			$category_id=$_REQUEST['category_id'];
			if (empty($neue_steuersatz_id))
			{
				echo "Es wurde kein Steuersatz ausgew&auml;hlt";
			}
			else
			{
				$sql5="SELECT RATE from taxes WHERE id=$neue_steuersatz_id";
				$Q5=sIT_mysql_run_query($con_i, $sql5, true);
				$row5=sIT_mysql_get_row($Q5);
				$neue_tax_rate=$row5['RATE'];
				$sql4="SELECT products.id, PRICESELL, TAXCAT, products.NAME, RATE FROM products 
						LEFT JOIN taxes ON TAXCAT=taxes.ID 
						WHERE CATEGORY=$category_id";
				$Q4=sIT_mysql_run_query($con_i, $sql4, true);
				{
					while ($row=sIT_mysql_get_row($Q4))
					{
						$produkt_id=$row['id'];
						$produkt_name=utf8_encode($row['NAME']);
						$netto_preis=$row['PRICESELL'];
						$tax_rate=$row['RATE'];
						list($brutto_einzel, $brutto_summe, $steuer, $steuer_summe)=berechne_bruttopreis($netto_preis, $tax_rate, 1);
						$brutto_gerundet=round($brutto_einzel, 2);
						echo "&Auml;ndere $produkt_name Preis ".number_format($brutto_gerundet,2,",",".")." von $tax_rate auf $neue_tax_rate";
						$netto_neu=$brutto_gerundet/(1+$neue_tax_rate);
						echo " Netto Neu: $netto_neu -";
						$sql3="UPDATE products SET TAXCAT=".$neue_steuersatz_id.", PRICESELL=".$netto_neu."
								 WHERE id=$produkt_id";
							$Q3=sIT_mysql_run_query($con_i, $sql3, true);
						echo " Steuersatz wurde geändert<br>";
					}
				}
				
				
			}
		}
	}
	
	if (isset($_REQUEST['steuersatz_anlegen']))
	{
		$neuer_steuersatz_anlegen=$_REQUEST['steuersatz_anlegen'];
		if ($neuer_steuersatz_anlegen>0 && $neuer_steuersatz_anlegen<99)
		{
			echo "Neuer Steuersatz mit $neuer_steuersatz_anlegen% wird angelegt<br>";
			$neuer_steuersatz_anlegen=$neuer_steuersatz_anlegen/100;
			$sql3="SELECT * FROM taxes WHERE RATE='".$neuer_steuersatz_anlegen."'";
			$Q3=sIT_mysql_run_query($con_i, $sql3, true);
			if (sIT_mysql_num_rows($Q3)==0)
			{
				echo "Neuer Steuersatz mit RATE $neuer_steuersatz_anlegen wird angelegt<br>";
				$sql3="INSERT INTO taxes SET RATE='".$neuer_steuersatz_anlegen."', NAME='MwSt 5%'";
				$Q3=sIT_mysql_run_query($con_i, $sql3, true);
			}
			else echo "Neuer Steuersatz mit RATE $neuer_steuersatz_anlegen gibt es schon - keine Anlage<br>";
			
		}
	}
	echo "<FORM action='".$_SERVER['PHP_SELF']."' method='post' >
			<INPUT type='hidden' name='steuersatz_anlegen' value='5'>";
	echo "<input class='button orange' type='submit' value='Neuen Steuersatz mit 5% anlegen'></td>";
	echo "</form>";
	echo "<hr><hr>";
	echo "<h1><b>Bitte vorher ein Backup machen !!!!</b></h1>";
	echo "<h3>&Auml;ndern von Steuers&auml;tzen f&uuml;r Warengruppen - Artikelpreis bleibt gleich</h3>";
	echo "<table>";
	echo "<tr>";
	echo "<th>ID</th><th>Warengruppe</th><th>Produkte mit Steuer</th><th>Neuer Satz</th>";
	echo "</tr>";

	// Steuern Optionsfeld machen
	$taxRatesOptions="<select class='adminKonfigAnzeigeTypeSel' name='neue_steuersatz_id' >";
	$taxRatesOptions.="<option class='' value=''>Keine</option>";
	$taxQl=mysql_query("SELECT id, NAME, RATE FROM taxes");
	while($taxRow=mysql_fetch_array($taxQl)){
		$taxRatesOptions.="<option class='' value='".$taxRow['id']."'>".$taxRow['NAME']."</option>";
	}
	$taxRatesOptions.="</select>";
	
	$query="SELECT * from categories WHERE geloescht=0";
	$Q1=sIT_mysql_run_query($con_i, $query, true);
	while ($row=sIT_mysql_get_row($Q1))
	{
		$cat_id=$row['ID'];
		$sql2="SELECT COUNT(products.ID) as anzahl, RATE, TAXCAT from products 
					LEFT JOIN taxes ON TAXCAT=taxes.ID WHERE CATEGORY=$cat_id GROUP BY TAXCAT";
		$Q2=sIT_mysql_run_query($con_i, $sql2, true);
		
		echo "<tr>";
		echo "<td>".$row['ID'] ."</td><td>". utf8_encode($row['NAME'])."</td><td>";
		// Anzahl der Produkte mit Steuersatz ausgeben
		while ($row2=sIT_mysql_get_row($Q2))
		{
			echo $row2['anzahl']."x".$row2['RATE'] * 100 ."% ";
		}
		echo "</td>";
		
		echo "<td>";
		echo "<FORM action='".$_SERVER['PHP_SELF']."' method='post' >
			<INPUT type='hidden' name='category_id' value='".$cat_id."'>";
		echo "$taxRatesOptions";
		echo "<input type='submit' value='&Auml;ndern'></td>";
		echo "</form>";
		echo "</td>";
		echo "</td> </tr>";
	}
	echo "</table>";
	
	
	?>
</div>
</body>

